[BUG] nfs-utils-2.4.1 should be recompiled against libevent-2.1.so.7

rpc.idmapd and nfsdcld fail to start because of missing libevent-2.1.so.6

  • What device are you using?

Raspberry Pi 4B

  • What edition of Manjaro-ARM is installed? (eg minimal, server, etc.)

Minimal 19.09

  • When did you last run updates and reboot?

Mon 02 Sep 2019 09:14:00 AM UTC

  • What package contains the bug?

nfs-utils

pacman -Qi nfs-utils
Name            : nfs-utils
Version         : 2.4.1-1.1
Description     : Support programs for Network File Systems
Architecture    : aarch64
URL             : http://nfs.sourceforge.net
Licenses        : GPL2
Groups          : None
Provides        : None
Depends On      : rpcbind  nfsidmap  gssproxy  libevent  device-mapper
Optional Deps   : sqlite: for nfsdcltrack usage [installed]
                  python: for nfsiostat and mountstats usage [installed]
Required By     : None
Optional For    : None
Conflicts With  : None
Replaces        : None
Installed Size  : 1386.00 KiB
Packager        : Arch Linux ARM Build System <builder+n1@archlinuxarm.org>
Build Date      : Sun 04 Aug 2019 06:18:26 PM CEST
Install Date    : Mon 02 Sep 2019 11:15:11 AM CEST
Install Reason  : Explicitly installed
Install Script  : No
Validated By    : Signature
  • Describe the bug the best you can. What where you doing when the bug happened?
ldd /usr/bin/nfsdcld

        linux-vdso.so.1 (0x0000007f8bec3000)
        libevent-2.1.so.6 => not found
        libsqlite3.so.0 => /usr/lib/libsqlite3.so.0 (0x0000007f8bd25000)
        libc.so.6 => /usr/lib/libc.so.6 (0x0000007f8bbb0000)
        /lib/ld-linux-aarch64.so.1 => /usr/lib/ld-linux-aarch64.so.1 (0x0000007f8be95000)
        libm.so.6 => /usr/lib/libm.so.6 (0x0000007f8bb02000)
        libdl.so.2 => /usr/lib/libdl.so.2 (0x0000007f8baee000)
        libz.so.1 => /usr/lib/libz.so.1 (0x0000007f8bac7000)
        libpthread.so.0 => /usr/lib/libpthread.so.0 (0x0000007f8ba96000)
ldd /usr/bin/rpc.idmapd

        linux-vdso.so.1 (0x0000007f9d873000)
        libnfsidmap.so.1 => /usr/lib/libnfsidmap.so.1 (0x0000007f9d805000)
        libevent-2.1.so.6 => not found
        libc.so.6 => /usr/lib/libc.so.6 (0x0000007f9d690000)
        /lib/ld-linux-aarch64.so.1 => /usr/lib/ld-linux-aarch64.so.1 (0x0000007f9d845000)
        libdl.so.2 => /usr/lib/libdl.so.2 (0x0000007f9d67c000)
        libresolv.so.2 => /usr/lib/libresolv.so.2 (0x0000007f9d655000)
  • Any workarounds or known fixes?

Build nfs-utils myself :slight_smile:

Thanks for reporting.

It was an issue with the repo server, not getting the updated package.
This has now been fixed, so nfs-utils 2.4.1-2 should appear in the repo when your mirror syncs. :slight_smile:

Forum kindly sponsored by Bytemark